public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/mgba/
Date: Wed, 29 Jun 2022 17:22:50 +0000 (UTC)	[thread overview]
Message-ID: <1656523356.a014c2bdd6311a4aad49757bfce7b9cf58a674e6.ionen@gentoo> (raw)

commit:     a014c2bdd6311a4aad49757bfce7b9cf58a674e6
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 29 13:37:31 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jun 29 17:22:36 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a014c2bd

games-emulation/mgba: update live for lua scripting support

Builds with lua5-1 but tests don't pass with it, so do 5-3+5-4
compat for now (may revisit).

Note there is currently upstream build issues with some combinations,
IUSE="gui -lua" and IUSE="lua libretro" which won't worry about right
now given scripting is work-in-progress upstream.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-emulation/mgba/mgba-9999.ebuild | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

diff --git a/games-emulation/mgba/mgba-9999.ebuild b/games-emulation/mgba/mgba-9999.ebuild
index 76e7916549ff..c7121c11ef4a 100644
--- a/games-emulation/mgba/mgba-9999.ebuild
+++ b/games-emulation/mgba/mgba-9999.ebuild
@@ -3,7 +3,8 @@
 
 EAPI=8
 
-inherit cmake xdg
+LUA_COMPAT=( lua5-{3..4} )
+inherit cmake lua-single xdg
 
 if [[ ${PV} == 9999 ]] ; then
 	inherit git-r3
@@ -18,10 +19,11 @@ HOMEPAGE="https://mgba.io/"
 
 LICENSE="MPL-2.0 BSD LGPL-2.1+ public-domain discord? ( MIT )"
 SLOT="0/10"
-IUSE="debug discord elf ffmpeg gles2 gles3 gui libretro opengl +sdl sqlite test"
+IUSE="debug discord elf ffmpeg gles2 gles3 gui libretro lua opengl +sdl sqlite test"
 REQUIRED_USE="
 	|| ( gui sdl )
-	gui? ( || ( gles2 gles3 opengl ) )"
+	gui? ( || ( gles2 gles3 opengl ) )
+	lua? ( ${LUA_REQUIRED_USE} )"
 RESTRICT="!test? ( test )"
 
 RDEPEND="
@@ -32,6 +34,7 @@ RDEPEND="
 	ffmpeg? ( media-video/ffmpeg:= )
 	gles2? ( media-libs/libglvnd )
 	gles3? ( media-libs/libglvnd )
+	lua? ( ${LUA_DEPS} )
 	opengl? ( media-libs/libglvnd )
 	gui? (
 		dev-qt/qtcore:5
@@ -45,6 +48,11 @@ RDEPEND="
 DEPEND="
 	${RDEPEND}
 	test? ( dev-util/cmocka )"
+BDEPEND="lua? ( virtual/pkgconfig )"
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+}
 
 src_configure() {
 	local mycmakeargs=(
@@ -56,6 +64,7 @@ src_configure() {
 		-DBUILD_QT=$(usex gui)
 		-DBUILD_SDL=$(usex sdl)
 		-DBUILD_SUITE=$(usex test)
+		-DENABLE_SCRIPTING=$(usex lua)
 		-DMARKDOWN=OFF #752048
 		-DUSE_DEBUGGERS=$(usex debug)
 		-DUSE_DISCORD_RPC=$(usex discord)
@@ -72,6 +81,7 @@ src_configure() {
 		-DUSE_ZLIB=ON
 		$(usev libretro -DLIBRETRO_LIBDIR="${EPREFIX}"/usr/$(get_libdir)/libretro)
 	)
+	use lua && mycmakeargs+=( -DUSE_LUA=$(ver_cut 1-2 $(lua_get_version)) )
 
 	cmake_src_configure
 }


             reply	other threads:[~2022-06-29 17:22 UTC|newest]

Thread overview: 89+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-29 17:22 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-25 17:57 [gentoo-commits] repo/gentoo:master commit in: games-emulation/mgba/ Ionen Wolkens
2024-05-25 17:31 Ionen Wolkens
2024-02-22  6:16 Ionen Wolkens
2024-02-07  4:55 Ionen Wolkens
2024-01-23 18:46 Sam James
2024-01-23 16:40 Sam James
2024-01-23 16:40 Sam James
2024-01-11 10:45 Sam James
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2024-01-03  6:22 Sam James
2023-12-19 17:01 Arthur Zamarin
2023-12-19 17:01 Arthur Zamarin
2023-11-29 16:32 Ionen Wolkens
2023-05-12  9:02 Ionen Wolkens
2023-05-11 18:48 Arthur Zamarin
2023-05-11 18:42 Arthur Zamarin
2023-04-24  5:48 Ionen Wolkens
2023-04-24  5:48 Ionen Wolkens
2023-01-30 19:11 Ionen Wolkens
2023-01-26 15:13 Ionen Wolkens
2023-01-11 11:26 Ionen Wolkens
2022-11-17 14:58 Ionen Wolkens
2022-10-12 13:47 Ionen Wolkens
2022-07-21  5:38 Ionen Wolkens
2022-07-14 21:24 Ionen Wolkens
2022-07-03  5:33 Ionen Wolkens
2022-06-29 17:22 Ionen Wolkens
2022-06-29 17:22 Ionen Wolkens
2022-06-29  8:08 Ionen Wolkens
2022-06-16 16:30 Sam James
2022-06-08 12:21 Jakov Smolić
2021-12-18 19:59 Lars Wendler
2021-12-18 19:59 Lars Wendler
2021-12-18 19:59 Lars Wendler
2021-09-23 13:58 Agostino Sarubbo
2021-09-22  6:58 Agostino Sarubbo
2021-07-11 17:03 Lars Wendler
2021-04-19 21:18 Lars Wendler
2021-04-19 21:18 Lars Wendler
2021-04-19 11:06 Lars Wendler
2021-03-29  7:58 Lars Wendler
2021-03-29  7:58 Lars Wendler
2021-03-29  7:58 Lars Wendler
2020-10-30  8:27 Lars Wendler
2020-10-30  8:27 Lars Wendler
2020-10-30  8:27 Lars Wendler
2020-08-04 14:48 Lars Wendler
2020-08-04 13:41 Lars Wendler
2020-08-04 13:41 Lars Wendler
2020-08-04 13:41 Lars Wendler
2020-07-21 22:27 Sam James
2020-06-15 12:00 Lars Wendler
2020-06-15 12:00 Lars Wendler
2020-04-25 20:12 Mikle Kolyada
2020-02-17 10:12 Lars Wendler
2020-02-17 10:12 Lars Wendler
2020-02-01  3:11 Lars Wendler
2020-01-27 12:31 Lars Wendler
2020-01-27 12:31 Lars Wendler
2019-12-10  9:10 Lars Wendler
2019-12-10  9:10 Lars Wendler
2019-12-10  9:10 Lars Wendler
2019-09-25 22:38 Lars Wendler
2019-09-25 22:38 Lars Wendler
2019-06-02 22:59 Lars Wendler
2019-06-02 22:59 Lars Wendler
2019-04-21  0:49 Lars Wendler
2019-02-26 14:53 Lars Wendler
2019-01-29 11:31 Lars Wendler
2019-01-29 11:31 Lars Wendler
2019-01-29 11:31 Lars Wendler
2018-04-19 19:29 Lars Wendler
2018-04-17  9:18 Lars Wendler
2018-04-05  8:13 Lars Wendler
2018-04-05  8:13 Lars Wendler
2018-01-05  8:28 Lars Wendler
2017-10-16  0:08 David Seifert
2017-10-03 20:59 Lars Wendler
2017-07-20  8:51 Lars Wendler
2017-07-20  8:51 Lars Wendler
2017-05-23  8:03 Lars Wendler
2017-01-02  8:39 Lars Wendler
2017-01-02  8:39 Lars Wendler
2016-10-06 14:52 Lars Wendler
2016-09-26 10:41 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1656523356.a014c2bdd6311a4aad49757bfce7b9cf58a674e6.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox